%define realname opensfx

Name:           openttd-%{realname}
Version:        0.2.3
Release:        %mkrel 2
Summary:        OpenSFX sound replacement set for OpenTTD

Group:          Games/Strategy
License:        Creative Commons Sampling Plus 1.0 License
URL:            http://dev.openttdcoop.org/projects/opensfx
Source0:        http://bundles.openttdcoop.org/%{realname}/releases/%{realname}-%{version}-source.tar.xz
BuildArch:      noarch
BuildRequires:  catcodec

%description
OpenSFX is an open source replacement for the original Transport Tycoon
Deluxe base sounds used by OpenTTD.

%prep
%setup -q -n %{realname}-%{version}-source

%build
%make

%install
mkdir -p %{buildroot}%{_gamesdatadir}/openttd/data
%make install INSTALL_DIR=%{buildroot}%{_gamesdatadir}/openttd/data

%check
%make check

%files
%doc docs/*.txt
%{_gamesdatadir}/openttd/data/%{realname}-%{version}.tar


%changelog
* Fri Jul 26 2019 tex - 0.2.3-2pclos2019
- rebuild against updates

